Bug 436481 - Review Request: perl-Net-Amazon-S3 - Use the Amazon Simple Storage Service (S3)
Review Request: perl-Net-Amazon-S3 - Use the Amazon Simple Storage Service (S3)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert Rati
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-07 09:44 EST by Robert Rati
Modified: 2014-08-25 02:42 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 14:00:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nsantos: fedora‑review+
tibbs: fedora‑cvs-


Attachments (Terms of Use)

  None (edit)
Description Robert Rati 2008-03-07 09:44:20 EST
Spec URL: http://grid.et.redhat.com/files/perl-Net-Amazon-S3.spec
SRPM URL: http://grid.et.redhat.com/files/perl-Net-Amazon-S3-0.43-1.fc8.src.rpm
Description:

This module provides a Perlish interface to Amazon S3. From the
developer blurb: "Amazon S3 is storage for the Internet. It is designed
to make web-scale computing easier for developers. Amazon S3 provides a
simple web services interface that can be used to store and retrieve any
amount of data, at any time, from anywhere on the web. It gives any
developer access to the same highly scalable, reliable, fast,
inexpensive data storage infrastructure that Amazon uses to run its own
global network of web sites. The service aims to maximize benefits of
scale and to pass those benefits on to developers".

To find out more about S3, please visit: http://s3.amazonaws.com/


This is 2 of 2 "first" packages, and I am looking for a sponsor.
Comment 1 Nuno Santos 2008-03-07 15:03:07 EST
Reviewed according to guidelines at
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

Builds under mock (on devel):

$ mock perl-Net-Amazon-S3-0.43-1.fc8.src.rpm 
INFO: mock.py version 0.9.7 starting...
State Changed: init plugins
State Changed: start
INFO: Start(perl-Net-Amazon-S3-0.43-1.fc8.src.rpm)  Config(fedora-development-i386)
State Changed: lock buildroot
State Changed: clean
State Changed: init
State Changed: lock buildroot
INFO: enabled root cache
INFO: enabled yum cache
State Changed: cleaning yum metadata
INFO: enabled ccache
State Changed: running yum
State Changed: creating cache
State Changed: setup
State Changed: build
INFO: Done(perl-Net-Amazon-S3-0.43-1.fc8.src.rpm) Config(default) 1 minutes 30
seconds
INFO: Results and/or logs in: /var/lib/mock//fedora-development-i386/result

$ cd /var/lib/mock//fedora-development-i386/result
$ ls -alF
total 92
drwxrwsr-x 2 nsantos mock  4096 2008-03-07 15:00 ./
drwxrwsr-x 4 root    mock  4096 2008-03-07 14:59 ../
-rw-rw-r-- 1 nsantos mock  6156 2008-03-07 15:00 build.log
-rw-r--r-- 1 nsantos mock 32447 2008-03-07 15:00
perl-Net-Amazon-S3-0.43-1.fc9.noarch.rpm
-rw-r--r-- 1 nsantos mock 24397 2008-03-07 15:00
perl-Net-Amazon-S3-0.43-1.fc9.src.rpm
-rw-rw-r-- 1 nsantos mock 12869 2008-03-07 15:00 root.log
-rw-rw-r-- 1 nsantos mock   266 2008-03-07 15:00 state.log

$ rpmlint *.rpm
(no output)


As for your other package, the only two things missing are:
- Every %files section must include a %defattr(...) line.
- missing packager name on the changelog
Comment 2 Robert Rati 2008-03-07 16:21:26 EST
Addressed the above two issues.
Comment 3 Nuno Santos 2008-03-07 16:34:51 EST
Specfile looks fine now (have also rebuilt under mock and installed the noarch rpm).

Marking as fedora-review+
Comment 4 Robert Rati 2008-03-10 11:06:46 EDT
New Package CVS Request
=======================
Package Name: perl-Net-Amazon-S3
Short Description: Use the Amazon Simple Storage Service (S3)
Owners: rrati
Branches: 
InitialCC: perl-sig
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-03-10 14:27:44 EDT
removing <> from Summary for tracking.
Comment 6 Lubomir Rintel 2010-12-06 09:44:08 EST
Fedora maintainer agreed to this months ago; I just somehow didn't process the mail then...

Package Change Request
======================
Package Name: perl-Net-Amazon-S3
New Branches: el5 el6
Owners: lkundrak
Comment 7 Jason Tibbitts 2010-12-06 11:03:15 EST
Where did the Fedora maintainer agree to this?  I don't see anything in this ticket.
Comment 8 Thomas Moschny 2014-08-23 04:48:46 EDT
It was requested to build ikiwiki also for EPEL6 and EPEL7, and perl-Net-Amazon-S3 is a requirement for one of the plugins of ikiwiki.

So, I'd like to ask if it possible to have this package in EPEL6/7 now.
Comment 9 Petr Pisar 2014-08-25 02:41:49 EDT
I, current package maintainer, don't feel any need to maintain this package in EPEL, so anybody is free to to maintain this package himself in any EPEL branch.

Note You need to log in before you can comment on or make changes to this bug.